/google-search

Returns search results from Google based on a given search query (or many queries). This endpoint is optimized for fast responses and can be used as a real time API.

↗ Open in API Explorer
GET

Returns search results from Google based on a given search query (or many queries). This endpoint is optimized for fast responses and can be used as a real-time API.

Request

Endpoint: GET https://api.outscraper.cloud/google-search

Parameters

NameInTypeRequiredDescriptionExampleConstraints
query query array<string> Yes Queries to search on Google (e.g., bitcoin, 37th president of usa). It supports batching by sending arrays with up to 1000 queries (e.g., query=text1&query=text2&query=text3). It allows multiple queries to be sent in one request and to save on network latency time. - -
pagesPerQuery query integer No The parameter specifies the limit of pages to return from one query. - default 1
uule query string No Google UULE parameter is used to encode a place or an exact location (with latitude and longitude) into a code. By using it you can see a Google result page like someone located at the specified location. - -
language query string enum No The parameter specifies the language to use for website. - default en, allowed en, de, es, es-419, fr, hr, it, nl, …
region query string enum No The parameter specifies the country to use for website. It's recommended to use it for a better search experience. - allowed AF, AL, DZ, AS, AD, AO, AI, AG, …
tbs query string enum No The parameter specifies the date range of the results (h - past hour, d - past 24 hours, w - past week, m - past month, 'y' - past year). - allowed h, d, w, m, y
skip query integer No The parameter specifies the number of items to skip. Used for pagination. - default 0
enrichment query array<string> No The parameter defines an enrichment or enrichments (e.g., enrichment=enrichment1&enrichment=enrichment2&enrichment=enrichment3) you want to apply to the results. Available values: contacts_n_leadsContacts & Leads Enrichment: finds emails, social links, phones, and other contacts from websites; emails_validator_serviceEmail Address Verifier: validates emails, checks deliverability, filters out blacklists, spam traps, and complainers, while significantly reducing your bounce rate; company_websites_finder - Company Website Finder: finds company websites based on business names; disposable_email_checkerDisposable Emails Checker: checks origins of email addresses (disposable, free, or corporate); company_insights_serviceCompany Insights: Finds company firmographics such as revenue, size, founding year, public status, etc.; phones_enricher_servicePhone Numbers Enricher: returns phones carrier data (name/type), validates phones, ensures messages deliverability, trustpilot_serviceTrustpilot Scraper: returns data from a list of businesses, whitepages_phones - Phone Identity Finder: returns insights about phone number owners (name, address, etc.); ai_chain_info - Chain Info: identifies if a business is part of a chain, adding a true/false indication to your data for smarter targeting. Using enrichments increases the time of the response. You might want to use the async=true parameter to avoid getting timeouts. - -
fields query string No The parameter defines which fields you want to include with each item returned in the response. By default, it returns all fields. Use &fields=query,name to return only the specific ones. - -
async query boolean Yes The parameter defines the way you want to submit your task to Outscraper. It can be set to false to open an HTTP connection and keep it open until you got your results, or true (default) to just submit your requests to Outscraper and retrieve them later (usually within 1-3 minutes) with the Request Results endpoint. Each response is available for 4 hours after a request has been completed. A good practice is to send async requests and start checking the results after the estimated execution time. Check out this Python implementation as an example. As most of the requests take some time to be executed the async=true option is preferred to avoid HTTP requests timeouts. - default true
ui query boolean No The parameter defines whether a task will be executed as a UI task. This is commonly used when you want to create a regular platform task with API. Using this parameter overwrites the async parameter to true. - default false
format query array<string enum> No The parameter defines the format of the output data. Using this parameter overwrites the ui parameter to true. - -
webhook query string No The parameter defines the URL address (callback) to which Outscraper will create a POST request with a JSON body once a task/request is finished. Using this parameter overwrites the webhook from integrations. - -

Responses

200

application/json

The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.

{
  "id": "your-request-id",
  "status": "Success",
  "data": [
    {
      "query": "buy iphone 13 TX",
      "organic_results": [
        {
          "link": "https://www.apple.com/shop/buy-iphone/iphone-13-pro",
          "title": "New Buy iPhone 13 Pro - Apple",
          "description": "Get iPhone 13 Pro or iPhone 13 Pro Max for an amazing price with special carrier trade-in offers. Make low monthly payments at 0% APR. Free shipping."
        },
        {
          "link": "https://www.att.com/stores/texas/dallas/new-iphone",
          "title": "Get iPhone 13 Pro Max in Dallas - Texas - ATT",
          "description": "Find the iPhone 13 Pro Max in Dallas from AT&T or shop online & choose a delivery option that suits your needs, including free express shipping & curbside ..."
        },
        {
          "link": "https://www.verizon.com/stores/texas/houston/west-road-285138/smartphones/apple-iphone-13-pro-max/",
          "title": "Apple Iphone 13 Pro Max in Houston Texas | Verizon",
          "description": "Shop Apple Iphone 13 Pro Max at Verizon in Houston , Texas stores. Find updated store hours, deals and directions to Verizon stores in Houston."
        },
        {
          "link": "https://www.bestbuy.com/site/iphone/shop-iphone-13-models/pcmcat1631714593943.c?id=pcmcat1631714593943",
          "title": "Select iPhone 13 Save up to $800 - Best Buy",
          "description": "Shop Best Buy and choose the iPhone model that's right for you. Select from the iPhone 13 mini, iPhone 13, iPhone 13 Pro and the iPhone 13 Pro Max."
        },
        {
          "link": "https://www.metrobyt-mobile.com/shop/phones/details/Apple-iPhone-13-M1-128GB/194252838198",
          "title": "New Apple iPhone 13 | 5G, Pink, 128GB | Metro by T-Mobile",
          "description": "Switcher Instant Rebate: For a limited time at participating Metro® by T-Mobile stores, purchase an Phone 13 (128GB) and port-in an existing eligible wireless ...$629.99 to $829.99In stock"
        },
        {
          "link": "https://www.target.com/p/apple-iphone-13-pro-max/-/A-84616123",
          "title": "Apple Iphone 13 Pro Max - Target",
          "description": "Read reviews and buy Apple iPhone 13 Pro Max at Target. Choose from Same Day Delivery, Drive Up or Order Pickup. Free standard shipping with $35 orders.Rating: 4.650 reviews"
        },
        {
          "link": "https://www.walmart.com/browse/iphone-13/c2hlbGZfaWQ6NzUxNzk0NQieie",
          "title": "iPhone 13 - Walmart",
          "description": "Shop for iPhone 13. Buy products such as iPhone 13 Pro Max (AT&T & Verizon), iPhone 13 Pro (AT&T & Verizon), iPhone 13 (AT&T & Verizon) at Walmart and save."
        }
      ],
      "ads": [
        {
          "link": "https://buy.gazelle.com/collections/iphone-13-pro-max",
          "title": "iPhone 13 Pro Max Refurbished - iPhone 13 Pro Max Unlocked",
          "description": "Choose Carriers, Colors, Conditions & More. Buy iPhone 13 pro max. Used iPhone 13 Pro Max for Sale From Gazelle® - Simple, Convenient, Works For Everyone."
        }
      ],
      "shopping_results": [
        {
          "link": "https://www.verizon.com/smartphones/apple-iphone-13-pro-max/?sku=sku5230109",
          "title": "Title of Apple iPhone 13 ProMax 128 GB in Alpine Green with installment",
          "price": "$0.00",
          "source": "Verizon"
        },
        {
          "link": "https://www.apple.com/us/shop/go/product/MLMT3?cppart=UNLOCKED&cid=aos-us-seo-pla",
          "title": "Title of iPhone 13 - 128GB Blue - Unlocked & SIM Free - Apple",
          "price": "$829.00",
          "source": "Apple"
        },
        {
          "link": "https://www.t-mobile.com/cell-phone/apple-iphone-13-pro-max?sku=194252697719",
          "title": "Title of Apple iPhone 13 Pro Max - Sierra Blue - 1TB (with 24 monthly payments)",
          "price": "$499.99",
          "source": "T-Mobile"
        }
      ],
      "related_questions": [
        {
          "link": "https://www.apple.com/newsroom/2021/09/apple-offers-more-ways-to-shop-for-the-iphone-13-lineup-ipad-and-ipad-mini/",
          "title": "Can you buy an iPhone 13 instore?",
          "description": "The full iPhone 13 and iPad product lineups will be available in stores and delivered to customers beginning Friday, September 24. With an entirely redesigned online store, shopping with Apple online or in-store is simpler than ever.Sep 16, 2021"
        },
        {
          "link": "https://www.macworld.com/article/540445/iphone-13-buy-now-or-wait.html",
          "title": "Is iPhone 13 available to buy now?",
          "description": "If you don't, there's an easy rule: Apple typically releases new iPhones in September, so don't buy a new iPhone shortly before that. 2021 was no exception—Apple put the iPhone 13 series up for sale on September 24.Feb 4, 2022"
        },
        {
          "link": "https://www.cnet.com/tech/mobile/the-best-iphone-13-deals-are-here-target-best-buy-verizon-and-more/",
          "title": "How much does it cost to buy a iPhone 13?",
          "description": "$799iPhone 13 starts at $799. iPhone 13 Mini starts at $699. iPhone 13 Pro starts at $999.Sep 28, 2021"
        }
      ]
    }
  ]
}

202

application/json

The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.

{
  "id": "your-request-id",
  "status": "Pending",
  "results_location": "https://api.outscraper.cloud/requests/your-request-id"
}

204

application/json

The request was finished with failure and has no results.

{
  "id": "your-request-id",
  "status": "Failure"
}

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

402

application/json

Past due invoices or a payment method not connected.

{
  "error": true,
  "errorMessage": "Please close past due invoices or verify your card information is correct."
}

422

application/json

Wrong query url parameters.

{
  "error": true,
  "errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}

Code Samples

cURL

curl -X GET "https://api.outscraper.cloud/google-search?query=buy+iphone+13+TX&async=false" -H  "X-API-KEY: YOUR-API-KEY"

cURL (async)

curl -X GET "https://api.outscraper.cloud/google-search?query=buy+iphone+13+TX" -H  "X-API-KEY: YOUR-API-KEY"

Python

from outscraper import OutscraperClient

api_client = OutscraperClient(api_key='YOUR-API-KEY')
results = api_client.google_search(['buy iphone 13 TX'])

Related Endpoints

Returns Google Maps photos from places when using search queries (e.g., restaurants, Manhattan, NY, USA) or from a single place when using IDs or names (e.g., NoMad Restaurant, NY…

Returns Google Maps reviews from places when using search queries (e.g., restaurants, Manhattan, NY, USA) or from a single place when using Google IDs or names (e.g., NoMad Restau…

Returns places from Google Maps based on a given search query (or many queries). The results from searches are the same as you would see by visiting a regular Google Maps site. Ho…